Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class Reporting

    java.lang.Object
      ix.iface.util.Reporting

    public class Reporting

extends java.lang.Object

Class of static methods useful when reporting incoming messages etc.

Field Summary
`(package private) static java.text.SimpleDateFormat` | `dateFormat`

Method Summary
`static java.lang.String` | `activityDescription(Activity activity)`
`static java.lang.String` | `chatMessageDescription(ChatMessage message)`
`static java.lang.String` | `constraintDescription(Constraint constraint)`
`static java.lang.String` | `dateString()`
`static java.lang.String` | `description(java.lang.Object obj)`
`static java.lang.String` | `issueDescription(Issue issue)`
`static java.lang.String` | `messageDescription(IPC.InputMessage message)`
`static java.lang.String` | `patternDescription(LList pattern)`
`static java.lang.String` | `reportDescription(Report report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateFormat

    static java.text.SimpleDateFormat dateFormat

Method Detail

### messageDescription

    public static java.lang.String messageDescription(IPC.InputMessage message)

### dateString

    public static java.lang.String dateString()

### description

    public static java.lang.String description(java.lang.Object obj)

### issueDescription

    public static java.lang.String issueDescription(Issue issue)

### activityDescription

    public static java.lang.String activityDescription(Activity activity)

### patternDescription

    public static java.lang.String patternDescription(LList pattern)

### constraintDescription

    public static java.lang.String constraintDescription(Constraint constraint)

### reportDescription

    public static java.lang.String reportDescription(Report report)

### chatMessageDescription

    public static java.lang.String chatMessageDescription(ChatMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD